Create creditor operation

Create a creditor operation.

This endpoint generates a Marketplace creditor operation created event.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required

Marketplace ID

Body Params

Request body

int64
required

Creditor ID. This represents the owner of a business.

int32
required
≥ 1

Number of days before first installment is due

int32
required
≥ 1

Number of installments

int32
required
≥ 1

Number of days before each subsequent installment is due. The customer has first_installment_days_to_payment days to pay the first installment. They have n_installment_days_to_payment days to pay each installment after that.

boolean
Defaults to false

Indicates whether a card-not-present (CNP) transaction is allowed. A CNP transaction is a purchase made virtually, without processing a physical card via a card reader or terminal (and without manually entering a PIN).

boolean
Defaults to false

Indicates whether document number is allowed.

boolean
Defaults to false

Indicates whether this is a matched Merchant Discount Rate (MDR). If false, the fixed transaction fee and the MDR amount is applied only to the first installment. The default value is false.

boolean
Defaults to false

Indicates whether this is a matched settlement. A matched settlement means the settlement is paid in several batches, whereas false indicates the full amount is paid in one single payment. The default value is false.

float
Defaults to 0

MDR fee. The Merchant Discount Rate (MDR) is the rate charged to a merchant for payment processing services on debit and credit card transactions. The merchant must set up this service and agree to the rate before accepting debit and credit cards as payment.

string

Card network

int64
deprecated

Operation type ID defined by the Pismo platform.
An operation type ID is an operation type processing code, which is a custom alphanumeric identifier that defines how the Pismo platform handles a certain financial operation type. See Processing codes and transaction types for more information.
Note: Either operation_type_id or processing_code is required. Using processing_code is recommended as operation_type_id is deprecated and scheduled for removal.

string

A processing code is a custom alphanumeric identifier that defines the type of financial operation that the Pismo platform handles.
For more information, refer to Processing codes.

date

Date from which this operation is considered active. Format = yyyy-mm-dd.

number
Defaults to 0

Transaction fee

boolean
Defaults to false

If true, only business days are used to calculate the date of the next payment.

Headers
string

Authorization token. This is a regular access token, which does not need to include an account ID.

string

Content type

Responses

400

Bad Request

401

Access token is missing or invalid

500

Internal server error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json